<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	include_once ('class/MailList.class.inc');
	
	CheckCallIsCorrect();

	global $HTTP_POST_VARS, $REQUEST_METHOD;
	
	$PasswordDefined = false;
	
	if( file_exists('./data/password.inc') && $msg == "" )
	{
		include ('data/password.inc');
		$PasswordDefined = true;
	}
	
	if( $REQUEST_METHOD == 'POST' )
	{
		$Password_ = $HTTP_POST_VARS['Password'];
		$NewPassword_ = $HTTP_POST_VARS['NewPassword'];
		$ConfirmNewPassword_ = $HTTP_POST_VARS['ConfirmNewPassword'];
		
		$msg = "";
		
		if( IsDemo() )
			$msg = "<LI>You can not change password in demo version.</LI>";
		elseif( $PasswordDefined )
		{
			if( $Password_ == "" )
				$msg = $msg . "<LI>Current password is missed.</LI>";
			if( $Password != $Password_ )
				$msg = $msg . "<LI>Current password does not match.</LI>";
		}
		
		if( $NewPassword_ == "" )
			$msg = $msg . "<LI>New password is missed..</LI>";
		if( $ConfirmNewPassword_ != $NewPassword_ )
			$msg = $msg . "<LI>The passwords you typed do not match.</LI>";
	
		if( $msg == "" )
		{
			if( file_exists( 'data/password.inc' ) )
				unlink ( 'data/password.inc' );
				 
			$passfile = fopen('data/password.inc',"wb+");
			
			$str = "<?php\n";
			$str = $str . "\t". '$Password=' . "\"$NewPassword_\";\n";
			$str = $str . "?>";
			
			fwrite( $passfile, $str );		
			
			fclose( $passfile );
			
			print "<p class=bodyText>Password changed.</p>";
		}
		else
		{
			print "<font class=varningText>\n";
			print "Next errors were detected:\n";
			print "<UL>\n";
			print $msg;
			print "</UL>\n";
			print "</font>\n";
			
			$Password = "";
		}
	}
?>

<form name="edit_form" method="post" action="<?=$target;?>">
	<table order=0 cellpadding="5" cellspacing="5" class="bodyText">
		<tr><td colspan="2" height="2" bgcolor="#e0e0e0"></td></tr>

<?php if( $PasswordDefined ) : ?>
		<tr>
			<td>Old password:&nbsp;&nbsp;&nbsp;</td>
			<td>
				<input type=password name=Password>
			</td>
		</tr>
<?php endif; ?>

		<tr>
			<td>New password:&nbsp;&nbsp;&nbsp;</td>
			<td>
				<input type=password name=NewPassword>
			</td>
		</tr>
		<tr>
			<td>Confirm new password:&nbsp;&nbsp;&nbsp;</td>
			<td>
				<input type=password name=ConfirmNewPassword>
			</td>
		</tr>
		<tr><td colspan="2" height="2" bgcolor="#e0e0e0"></td></tr>
		<tr>
			<td colspan="2" align=right>
				<input type=submit name=Update>
			</td>
		</tr>
	</table>
</form>