<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	

class CharSets
{
	var $data = array();

	function CharSets( $filename )
	{
		if( ! file_exists( $filename ) )
			return;
			
		$lines = file( $filename );
		foreach( $lines as $line )
		{
			$entry = trim( $line );
			list( $key, $value ) = explode( '=', $entry );
			
			$key = trim( $key );
			$value = trim( $value );
			
			if( $key != "" )
			{
				if( $value == "" )
					$value = $key;
				$this->data[ $key ] = $value;
			}			
		}
	}
	
	function PrintSelect( $name, $selected_key = '' )
	{
		print "\t\t<select name=$name>\n";
		foreach( $this->data as $key => $value )
		{
			$selected = "";
			if( $key == $selected_key )
				$selected = ' selected';
			print "\t\t\t<option value=$key$selected>$value\n</option>";
		}
		print "\t\t<select>\n";
	}

} // end of CharSets

?>